import { createApp } from 'vue'
import App from './App.vue'
import install from './install'
import './permission'
import './styles/index.scss'
import 'virtual:svg-icons-register'
import eventBus from 'vue3-eventbus'
import directives from './directives'

// 表格组件
import ProTable from '@/components/ProTable/index.vue'
import ProDialog from '@/components/ProDialog/index.vue'
import ProDrawer from '@/components/ProDrawer/index.vue'

const app = createApp(App)
app.use(install)
app.use(eventBus)
app.use(directives)
app.component('ProTable', ProTable)
app.component('ProDialog', ProDialog)
app.component('ProDrawer', ProDrawer)
app.mount('#app')
